KBD_MODE(1)

NOM
kbd_mode – Affichage ou sélection du mode de clavier

SYNOPSIS
kbd_mode [ -a | -u | -k | -s | -d ] [ -f ] [ -C CONSOLE ]

DESCRIPTION

Without argument, kbd_mode prints the current keyboard mode (RAW, MEDIUMRAW or XLATE). Using the options it is possible to switch the keyboard mode of the current console or the specified console.

OPTIONS

-a, --ascii
    Définir le mode ASCII (XLATE).

-k, --keycode
    Définir le mode keycode (MEDIUMRAW).

-s, --scancode
    Définir le mode scancode (RAW).

-u, --unicode
    Définir le mode UTF-8 (UNICODE).

-d, --disable
    Définir le mode Disable (OFF).

-f, --force
    switch the mode even if it makes the keyboard unusable.

-C, --console=PÉRIPHÉRIQUE
    Périphérique de console à utiliser.

Naturellement, l’option « -a » est seulement traditionnelle et le code utilisé peut être n’importe que ensemble de caractères 8 bits. Avec l’option « -u », un ensemble de caractères 16 bits est attendu et ces caractères sont transmis au noyau sous forme de un, deux ou trois octets (selon l’encodage UTF-8). Dans ces deux derniers modes la disposition des touches définie par loadkeys(1) est utilisée. The Didable mode for the virtual console keyboard OFF to compliment RAW in which all key events are ignored. The mode prevents vt input buffers from overflowing when a program opens but doesn't read from a tty, like Xorg using only evdev for input. kbd_mode fonctionne sur la console spécifié par l’option « -C ». Si aucune n’est spécifiée, la console associée à l’entrée standard est utilisée. Attention : changer le mode de clavier autrement qu’entre les modes ASCII et Unicode rendra probablement le clavier inutilisable. Utilisez l’option « -f » pour forcer de tels changements. Cette commande est uniquement destinée à être utilisée (par exemple, à travers une connexion à distance) quand un quelconque programme laisse votre clavier dans état incorrect. Dans certaines versions obsolètes de ce programme, l’option « -u » était un synonyme de l’option « -s » et les vieilles versions de ce programme peuvent ne pas reconnaitre l’option « -f ».

AUTEURS
Andries Brouwer <aeb@cwi.nl>

VOIR AUSSI
loadkeys(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.